## papirus-folders 1.3.1

=== Makefile ===
# GNU make is required to run this file. To install on *BSD, run:
#   gmake PREFIX=/usr/local install

PREFIX ?= /usr
PROGNAME := papirus-folders
VERSION ?=

all:

install:
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install -m 755 $(PROGNAME) $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)/share/bash-completion/completions
	install -m 644 completion/$(PROGNAME) \
		$(DESTDIR)$(PREFIX)/share/bash-completion/completions
	mkdir -p $(DESTDIR)$(PREFIX)/share/zsh/vendor-completions
	install -m 644 completion/_$(PROGNAME) \
		$(DESTDIR)$(PREFIX)/share/zsh/vendor-completions

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/$(PROGNAME)
	rm -f $(DESTDIR)$(PREFIX)/share/bash-completion/completions/$(PROGNAME)
	rm -f $(DESTDIR)$(PREFIX)/share/zsh/vendor-completions/_$(PROGNAME)

_get_version:
	$(if $(VERSION),,$(error VERSION is not defined. Pass via "make bump VERSION=0.1.2"))

bump: _get_version
	sed -i '/VERSION=/s/[0-9.]\+/$(VERSION)/' $(PROGNAME)
	dch -v $(VERSION)-1 -- ''
	git commit -am "Bump to v$(VERSION)"
	git tag -f v$(VERSION)

release:
	git push origin
	git push origin --tags


.PHONY: all install uninstall _get_version bump release

# .BEGIN is ignored by GNU make so we can use it as a guard
.BEGIN:
	@head -3 Makefile
	@false

=== debian/changelog ===
papirus-folders (1.3.1-1~mx17+1) mx; urgency=low

  * Initial packaging.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 07 Mar 2019 13:52:55 -0800

=== debian/control ===
Source: papirus-folders
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Sergei Eremenko <finalitik@gmail.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.1.4
Homepage: https://github.com/PapirusDevelopmentTeam/papirus-folders
Bugs: https://github.com/PapirusDevelopmentTeam/papirus-folders/issues

Package: papirus-folders
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, bash (>= 4.0)
Recommends: papirus-icon-theme (>= 20171007)
Description: script to allow changing the Papirus folder colors
 A script to allow changing the Papirus folder colors.
 .
 Papirus-folders doesn't have a GUI, but it is a fully functional command-line
 application with TAB-completions. Below you'll see some examples of use.
 .
  Show the current color and available colors for Papirus-Dark
 .
   papirus-folders -l --theme Papirus-Dark
 .
  Change color of folders to brown for Papirus-Dark
 .
   papirus-folders -C brown --theme Papirus-Dark
 .
  Revert to default color of folders for Papirus-Dark
 .
   papirus-folders -D --theme Papirus-Dark
 .
  Restore the last used color from a config file
 .
   papirus-folders -Ru
 .
 The last command is extremely useful for restoring color after an icon theme
 upgrade.

## papirus-folders 1.5.0

=== debian/changelog ===
papirus-folders (1.5.0-1~mx19+1) mx; urgency=medium

  * Import new upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 02 Nov 2019 13:55:53 -0700

## papirus-folders 1.8.0

=== debian/changelog ===
papirus-folders (1.8.0-1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Bump to dh compat 10.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Sep 2020 09:04:07 -0700

## papirus-folders 1.9.0

=== debian/changelog ===
papirus-folders (1.9.0-1~mx21+1) mx; urgency=medium

  * New upstream release:
    - add carmine color option.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 11 Sep 2021 15:13:51 -0700

papirus-folders (1.8.0-1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Bump to dh compat 10.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Sep 2020 09:04:07 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Sergei Eremenko <finalitik@gmail.com>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
 Standards-Version: 4.1.4
 Homepage: https://github.com/PapirusDevelopmentTeam/papirus-folders
 Bugs: https://github.com/PapirusDevelopmentTeam/papirus-folders/issues
@@ -11,7 +11,7 @@
 Package: papirus-folders
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, bash (>= 4.0)
+Depends: bash (>= 4.0), ${misc:Depends}
 Recommends: papirus-icon-theme (>= 20171007)
 Description: script to allow changing the Papirus folder colors
  A script to allow changing the Papirus folder colors.
